require 'sketchup'
require 'extensions'
module CURIC
  module LengthSnapping
		PLUGIN = self
    PLUGIN_NAME     = 'Curic LengthSnapping'.freeze
    PLUGIN_VERSION  = '1.0.1'.freeze
    unless file_loaded?( __FILE__ )
      ex = SketchupExtension.new( PLUGIN_NAME, 'curic_lengthsnapping/loader' )
      ex.version     = PLUGIN_VERSION
      ex.copyright   = 'Vo Quoc Hai © 2017–2020'
      ex.creator     = 'Vo Quoc Hai (curic4su@gmail.com)'
      PLUGIN_EX = ex
      Sketchup.register_extension( ex, true )
    end
  end
end
file_loaded( __FILE__ )
